Path: API › Proxy 反向代理

`POST /mod/proxy/com/delete/stype`

删除指定反向代理站点，包括 Nginx 配置、日志、数据库记录。

## Request body

_Required._

- `request_time` (`action212.request_time`; string, required) — Unix 时间戳。
- `request_token` (`action212.request_token`; string, required) — 按 API 概览生成的签名。
- `id` (`action212.id`; integer, required) — 站点 ID
- `site_name` (`action212.site_name`; string, required) — 站点名称
- `action` (`action212.action`; string, required) — 具体操作名称。
  - one of `"delete"`
- `remove_path/d` (`action212.remove_path/d`; integer, optional) — 是否同时删除网站目录，1 删除，0 保留（默认）
- `reload/d` (`action212.reload/d`; integer, optional) — 是否重载 Nginx，1 重载（默认），0 不重载

## Example request

```text
{
  "request_time": "string",
  "request_token": "string",
  "id": 0,
  "site_name": "string",
  "remove_path/d": 0,
  "reload/d": 0,
  "action": "delete"
}
```

## Code samples

### cURL（填写面板地址与签名）

```bash
curl --request POST \
  --url "https://your-panel.example.com:8888/mod/proxy/com/delete/stype" \
  --header "Content-Type: application/x-www-form-urlencoded" \
  --data-urlencode "request_time=<Unix时间戳>" \
  --data-urlencode "request_token=<按 API 概览生成的签名>" \
  --data-urlencode "id=<id>" \
  --data-urlencode "site_name=<site_name>" \
  --data-urlencode "action=delete"
```

## Responses

### default

接口响应，业务状态见下方详细说明。

#### Example

```json
{
  "status": true,
  "msg": "反向代理项目删除成功！"
}
```

- `status` (`action212.response.default.status`; boolean, optional) — 操作结果
- `msg` (`action212.response.default.msg`; string, optional) — 提示信息


## delete

删除指定反向代理站点，包括 Nginx 配置、日志、数据库记录。

- **路由**：`POST /mod/proxy/com/delete/stype`
- **action**：`delete`

## 输入参数
| 参数名称 | 必选 | 类型 | 描述 |
|----------|------|------|------|
| id | 是 | int | 站点 ID |
| site_name | 是 | string | 站点名称 |
| remove_path/d | 否 | int | 是否同时删除网站目录，1 删除，0 保留（默认） |
| reload/d | 否 | int | 是否重载 Nginx，1 重载（默认），0 不重载 |

## 输出参数
| 参数名称 | 类型 | 描述 |
|----------|------|------|
| status | bool | 操作结果 |
| msg | string | 提示信息 |


## 示例

### 请求
```bash
curl -X POST "http://192.168.168.213:8888/mod/proxy/com/delete/stype" \
  -H "Content-Type: application/x-www-form-urlencoded" \
  -d "id=1&site_name=example.com&remove_path=0&request_time=...&request_token=..."
```

### 响应
```json
{
  "status": true,
  "msg": "反向代理项目删除成功！"
}
```

